Bug 602962 - [abrt] crash in blueman-1.21-4.fc12: NMPANSupport.py:267:find_connection:AttributeError: 'NoneType' object has no attribute 'ListConnections'
[abrt] crash in blueman-1.21-4.fc12: NMPANSupport.py:267:find_connection:Attr...
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-06-11 02:45 EDT by Bengt Sjögren
Modified: 2012-05-06 00:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: blueman-1.23-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-12-03 08:55:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (1.46 KB, text/plain)
2010-06-11 02:45 EDT, Bengt Sjögren
no flags Details

  None (edit)
Description Bengt Sjögren 2010-06-11 02:45:24 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/blueman-applet
component: blueman
executable: /usr/bin/blueman-applet
package: blueman-1.21-4.fc12
reason: NMPANSupport.py:267:find_connection:AttributeError: 'NoneType' object has no attribute 'ListConnections'
release: Fedora release 12 (Constantine)

NMPANSupport.py:267:find_connection:AttributeError: 'NoneType' object has no attribute 'ListConnections'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/blueman/plugins/applet/RecentConns.py", line 298, in on_item_activated
    self.Applet.DbusSvc.ServiceProxy(item["service"], item["device"].GetObjectPath(), "Connect", item["conn_args"], reply, err)
  File "<string>", line 2, in ServiceProxy
  File "/usr/lib/python2.6/site-packages/blueman/plugins/applet/DBusService.py", line 119, in ServiceProxy
    self.Applet.Plugins.RunEx("service_connect_handler", cb, interface, object_path, _method, args, ok, err)
  File "/usr/bin/blueman-applet", line 278, in RunEx
    ret = getattr(inst, function)(*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/blueman/plugins/applet/NMPANSupport.py", line 322, in service_connect_handler
    conn = self.find_active_connection(d.Address, "panu")
  File "/usr/lib/python2.6/site-packages/blueman/plugins/applet/NMPANSupport.py", line 279, in find_active_connection
    nma_connection = self.find_connection(address, type)
  File "/usr/lib/python2.6/site-packages/blueman/plugins/applet/NMPANSupport.py", line 267, in find_connection
    conns = self.nma.ListConnections()
AttributeError: 'NoneType' object has no attribute 'ListConnections'

Local variables in innermost frame:
self: <blueman.plugins.applet.NMPANSupport.NMPANSupport object at 0x29a0a10>
t: 'panu'
address: dbus.String(u'04:1E:64:70:AD:DC', variant_level=1)
Comment 1 Bengt Sjögren 2010-06-11 02:45:26 EDT
Created attachment 423153 [details]
File: backtrace
Comment 2 Bengt Sjögren 2010-06-11 03:58:58 EDT
The crash happens as soon as the Ihpone ( 3GS ) paires .
I have deletet the units on both sides, restart the PC, restart the Iphone and repairing again in order to find out which part of the bluetoth SW causes the crash.
Most of the cases it is the blueman-manager but as in this case the aplet
Comment 3 Bug Zapper 2010-11-03 09:20:11 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2010-12-03 08:55:09 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Fedora Update System 2012-04-27 06:00:22 EDT
blueman-1.23-1.fc17 has been submitted as an update for Fedora 17.
Comment 6 Fedora Update System 2012-04-27 06:00:56 EDT
blueman-1.23-1.fc16 has been submitted as an update for Fedora 16.
Comment 7 Fedora Update System 2012-05-05 21:29:07 EDT
blueman-1.23-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-05-06 00:56:41 EDT
blueman-1.23-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.